fcf.module({
  name: "fcf:NServer/NEvent/FcfServerPreroute.js",
  dependencies: [],
  module: function() {
    var NEvent = fcf.prepareObject(fcf, "NServer.NEvent");

    NEvent.FcfServerPreroute = function(a_args, a_subEvent) {
      //a_args.actions
      //a_args.routeInfo

      fcf.Event.call(this, "FcfServerPreroute", a_args, a_subEvent);

      //this.routeInfo  = undefined;
      this.error      = undefined;
      this.controllerInfo = undefined;
    }

    return NEvent.FcfServerPreroute;
  }
});
